timestep.hh File Reference
`#include <mia/core/factory.hh>`
`#include <mia/core/typedescr.hh>`
`#include <mia/2d/image.hh>`
`#include <mia/2d/transform.hh>`
Include dependency graph for 2d/timestep.hh:

Go to the source code of this file.

## Data Structures

class | C2DRegTimeStep
| The time step class for time-marching registration algorithms. More...
class | C2DRegTimeStepPlugin
| Plug-in to create the time step evaluation. More...

## Typedefs

typedef THandlerSingleton< TFactoryPluginHandler< C2DRegTimeStepPlugin > > | C2DRegTimeStepPluginHandler
typedef std::shared_ptr< C2DRegTimeStep > | P2DRegTimeStep
| pointer type for the 2D registration time step

## Typedef Documentation

## C2DRegTimeStepPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DRegTimeStepPlugin> > C2DRegTimeStepPluginHandler

Time step model plugin handler

Definition at line 154 of file 2d/timestep.hh.

## P2DRegTimeStep

typedef std::shared_ptr<C2DRegTimeStep > P2DRegTimeStep

pointer type for the 2D registration time step

Definition at line 121 of file 2d/timestep.hh.